## org.exist.xquery.value.test
Class AbstractTimeRelatedTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.value.test.AbstractTimeRelatedTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  DateTest, DateTimeTest, DayTimeDurationTest, DurationTest, TimeTest, YearMonthDurationTest

public abstract class AbstractTimeRelatedTestCase
extends junit.framework.TestCase

Constructor Summary
`AbstractTimeRelatedTestCase()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractTimeRelatedTestCase

    public AbstractTimeRelatedTestCase()

Copyright (C) Wolfgang Meier. All rights reserved.